Page MenuHomePhabricator

Make Apertium tests independent of Labs service
Closed, ResolvedPublic

Description

2 tests from Apertium MT were failing in Production/master CI (See: https://integration.wikimedia.org/ci/job/npm-node-6-docker/3282/console for full log) due to dependencies on apertium-apy service running on Labs. This is not OK and it is hard to debug and can block merge changes of cxserver in Production and updating it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2018, 8:23 AM
KartikMistry renamed this task from Apertium test failures to Apertium test failures in cxserver.Nov 6 2018, 8:24 AM
KartikMistry updated the task description. (Show Details)
KartikMistry triaged this task as High priority.

http://apertium.wmflabs.org/ is down (probably after the cloud services migration)

Nikerabbit raised the priority of this task from High to Unbreak Now!.Nov 6 2018, 9:39 AM

Rising priority to UBN! as is the custom for merge blockers.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptNov 6 2018, 9:39 AM
ssh language-apertium2.eqiad.wmflabs
service apertium-apy status
● apertium-apy.service - Translation server and API for Apertium
   Loaded: loaded (/lib/systemd/system/apertium-apy.service; disabled; vendor preset: enabled)
   Active: inactive (dead)
     Docs: http://wiki.apertium.org/wiki/Apertium-apy

@KartikMistry Are there docs for this service? It took a while for me to figure out the service name etc.

I restarted it, but why wasn't it running by default?

Also, it's not nice that our tests depend on a labs service. They should be network-less by default.

@KartikMistry Are there docs for this service? It took a while for me to figure out the service name etc.

I restarted it, but why wasn't it running by default?

https://www.mediawiki.org/wiki/Content_translation/Machine_Translation/Apertium/Service

Also, it's not nice that our tests depend on a labs service. They should be network-less by default.

Agree. I'll rename this task and reuse it.

KartikMistry renamed this task from Apertium test failures in cxserver to Make Apertium tests independent of Labs service.Nov 6 2018, 11:07 AM
KartikMistry lowered the priority of this task from Unbreak Now! to High.
KartikMistry updated the task description. (Show Details)
santhosh claimed this task.Nov 7 2018, 7:26 AM

Change 472103 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Use TestClient for tests, instead of a real Apertium instanace

https://gerrit.wikimedia.org/r/472103

Change 472103 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Use TestClient for tests, instead of a real Apertium instance

https://gerrit.wikimedia.org/r/472103

Once this is deployed to production, the (Apertium) requests in https://grafana.wikimedia.org/dashboard/db/service-cxserver?orgId=1&from=now%2Fw&to=now should go down dramatically.

Once this is deployed to production, the (Apertium) requests in https://grafana.wikimedia.org/dashboard/db/service-cxserver?orgId=1&from=now%2Fw&to=now should go down dramatically.

Deployment is scheduled tomorrow.

Mentioned in SAL (#wikimedia-operations) [2018-11-09T12:16:23Z] <kartik@deploy1001> Started deploy [cxserver/deploy@fc21164]: Update cxserver to 01686f6 (T208831)

Mentioned in SAL (#wikimedia-operations) [2018-11-09T12:17:32Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@fc21164]: Update cxserver to 01686f6 (T208831) (duration: 01m 09s)

Petar.petkovic closed this task as Resolved.
Petar.petkovic removed subscribers: Stashbot, gerritbot.

Mentioned in SAL (#wikimedia-operations) [2018-11-16T11:08:55Z] <kartik@deploy1001> Started deploy [cxserver/deploy@473b0de]: Update cxserver to b7cdb26 (T208831, T203077, T203160, T206777)

Mentioned in SAL (#wikimedia-operations) [2018-11-16T11:13:21Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@473b0de]: Update cxserver to b7cdb26 (T208831, T203077, T203160, T206777) (duration: 04m 26s)